
<script>
    var requireJS = [];
    loadJS(requireJS, "js/views/common.js");
    loadCSS('css/bootstrap-tokenfield.min.css');
    loadJS(requireJS, 'js/bootstrap-tokenfield.min.js');
    loadJS(requireJS, 'js/wings-tokenfield.js');
    loadJS(requireJS, "js/views/orders.js");

</script>

<div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-truck"></i> Pedidos de envio de SIM
                </div>
                <div class="card-block">

                    <div class="input-group">

                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary search-button">
                                <i class="fa fa-search"></i>
                            </button>
                        </span>
                        <div class="btn-group">
                            <input th:value="${q}" type="search" class="form-control search-input" placeholder="Buscar...">
                            <span class="search-clear fa fa-remove"></span>
                        </div>
                        &nbsp;                        
                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                <i class="fa fa-filter"></i>
                                <span class="caret"></span>
                            </button>
                            <div class="dropdown-menu" id="drop-status-filter">
                                <a class="dropdown-item" href="#">created</a>
                                <a class="dropdown-item" href="#">sended</a>
                                <a class="dropdown-item" href="#">error</a>
                                <a class="dropdown-item" href="#">received</a>
                                <a class="dropdown-item" href="#">delivered</a>
                            </div>
                        </span>                        
                        <div class="btn-group">
                            <input id="tokenfield" th:value="${status}" type="text" class="form-control">
                        </div>

                        &nbsp;                        
                        <div class="input-group-btn">
                            <div class="input-group-btn pull-right">
                                <button type="button" class="btn btn-primary action-item" id="action-item-send-ups" title="Envia a UPS las ordenes pendientes (created)">
                                    <i class="fa fa-upload"></i> Enviar a ups
                                </button>
                            </div>
                        </div>
                        &nbsp;                        
                        <div class="input-group-btn">
                            <div class="input-group-btn pull-right">
                                <button type="button" class="btn btn-primary action-item" id="action-item-import" title="Importar el CSV devuelto por UPS">
                                    <i class="fa fa-file-excel-o"></i> Importar CSV
                                </button>
                            </div>
                        </div>

                    </div>

                    <br/>

                    <table class="table table-bordered table-striped table-sm">
                        <thead>
                            <tr>
                                <th><input class="chk-check-all" type="checkbox"></th>
                                <th>#</th>
                                <th>Creacion</th>
                                <th>Envio</th>
                                <th>Estado</th>
                                <th>Estado Linea</th>
                                <th>Destinatario</th>
                                <th>Tipo</th>
                                <th>Referencia</th>
                                <th>Teléfono Contacto</th>
                                <th>Tracking</th>
                                <th>Estado UPS</th>
                                <th>&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">                                
                                <td><input th:id="${item.id}" type="checkbox" name="reg-id"></td>
                                <td th:text="${item.id}">Vishnu Serghei</td>
                                <td th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}">2012/01/01</td>
                                <td th:if="${item.sendDate != null}" th:text="${#dates.format(item.sendDate, 'dd/MM/yyyy HH:mm:ss')}">2012/01/01</td>
                                <td th:if="${item.sendDate == null}">--</td>
                                <td class="text-center">
                                    <div th:switch="${item.status}">
                                        <span class="badge badge-info" th:text="#{${item.status}}" th:case="'created'"></span>
                                        <span class="badge badge-info" th:text="#{${item.status}}" th:case="'sended'"></span>
                                        <span class="badge badge-danger" th:text="#{${item.status}}" th:case="'error'"></span>
                                        <span class="badge badge-warning" th:text="#{${item.status}}" th:case="'received'"></span>
                                        <span class="badge badge-success" th:text="#{${item.status}}" th:case="'delivered'"></span>
                                        <span class="badge badge-info" th:text="#{${item.status}}" th:case="'replacement_created'"></span>
                                        <span class="badge badge-info" th:text="#{${item.status}}" th:case="'replacement_sended'"></span>
                                        <span class="badge badge-warning" th:text="#{${item.status}}" th:case="'replacement_received'"></span>
                                        <span class="badge badge-success" th:text="#{${item.status}}" th:case="'replacement_delivered'"></span>
                                        <span class="badge badge-danger" th:text="#{${item.status}}" th:case="'replacement_deliver_error'"></span>
                                        <span class="badge badge-default" th:text="#{${item.status}}" th:case="*"></span>
                                    </div>
                                </td>
                                <td class="text-center">
                                    <span th:switch="${item.line.internalState}">
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'created_local'"></span>
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'contract_created'"></span>
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'contract_sended'"></span>
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'contract_signed'"></span>
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'order_created'"></span>
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'order_sended'"></span>
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'order_received'"></span>
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'order_delivered'"></span>
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'created_operator'"></span>
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'port_requested'"></span>
                                        <span class="badge badge-danger" th:text="#{${item.line.internalState}}" th:case="'port_rejected'"></span>
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'port_accepted'"></span>
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'change_brand_requested'"></span>
                                        <span class="badge badge-danger" th:text="#{${item.line.internalState}}" th:case="'change_brand_rejected'"></span>
                                        <span class="badge badge-info" th:text="#{${item.line.internalState}}" th:case="'change_brand_accepted'"></span>
                                        <span class="badge badge-success" th:text="#{${item.line.internalState}}" th:case="'active'"></span>
                                        <span class="badge badge-warning" th:text="#{${item.line.internalState}}" th:case="*"></span>
                                    </span>                    
                                </td>

                                <td th:if="${item.clientId != null}" th:text="${item.client}">Member</td>
                                <td th:if="${item.clientId == null}" th:text="${item.registration}">Member</td>

                                <td>
                                    <div th:switch="${item.type}">
                                        <span th:case="'1'">Portabilidad</span>
                                        <span th:case="'2'">Nueva</span>
                                    </div>
                                </td>
                                <td th:text="${item.referencia}">Member</td>
                                <td th:text="${item.telefono}">Member</td>
                                <td>
                                    <span th:text="${item.trackingNumber}"></span> 
                                    <i th:if="${item.trackingNumber != null}" class="fa fa-eye action-button" data-toggle="modal" data-target="#viewModal" th:attr="data-url='views/clients/orders/tracking/'+${item.trackingNumber}+'/view'"></i>
                                </td>
                                <td class="text">                                    
                                    <a href="#" data-toggle="tooltip" th:title="${item.orderStatus}">
                                        <span th:text="${item.orderStatus}"></span>
                                    </a>
                                </td>
                                <td>
                                    <i class="fa fa-eye action-button" data-toggle="modal" data-target="#viewModal" th:attr="data-url='views/clients/orders/'+${item.id}+'/form'"></i>
                                    <i class="fa fa-file-excel-o action-button" data-toggle="modal" data-target="#viewModal" th:attr="data-url='views/clients/orders/'+${item.id}+'/xml'"></i>
                                    <a th:href="'views/clients/orders/'+${item.id}+'/pdf'" target="_blank">
                                        <i class="fa fa-file-pdf-o action-button"></i>
                                    </a>
                                </td>
                            </tr>
                        </tbody>
                    </table>

                    <div th:replace="fragments/pagination :: paginationbar"></div>

                </div>
            </div>
        </div>
        <!--/.col-->
    </div>
</div>


<!-- EDIT MODAL -->
<div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Modal title</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p>One fine body&hellip;</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                <button type="button" class="btn btn-success">Guardar</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

<div th:replace="fragments/view-modal"></div>

<div class="modal fade" id="import-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <form method="POST" enctype="multipart/form-data" class="form-horizontal" id="form-upload-csv">
                <div class="modal-header">
                    <h4 class="modal-title">Importar CSV</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="file-input">Seleccionar Archivo:</label>
                        <div class="col-md-9">
                            <input id="file-input" name="file" type="file" accept="text/csv"/>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                    <input type="submit" class="btn btn-success" id="action-form-import-submit" value="Enviar"/>
                </div>
            </form>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->